Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.map
Class Marker

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.map.Marker

All Implemented Interfaces:
  MapProviders

Direct Known Subclasses:
  GoogleMarker

    public class Marker

extends JsObject
implements MapProviders

A marker pin.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`Marker(com.google.gwt.core.client.JavaScriptObject jsObj)`
`Marker(LatLonPoint point)` Create a new Marker.

Method Summary
`void` | `hide()` Hide the marker.
`static Marker` | `instance(com.google.gwt.core.client.JavaScriptObject jsObj)`
`void` | `openBubble()` Opens the infoBubble.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setChild(com.google.gwt.core.client.JavaScriptObject proprietaryMarker)`
`void` | `setIcon(java.lang.String iconUrl)` Sets the icon for a marker.
`void` | `setInfoBubble(com.google.gwt.user.client.Element element)` Sets the info bubble to be the specified Element.
`void` | `setInfoBubble(java.lang.String html)` The html/text content for a bubble popup for a marker.
`void` | `setInfoBubble(com.google.gwt.user.client.ui.Widget widget)` Sets the info bubble to be a Widget.
`void` | `setInfoDiv(java.lang.String html, java.lang.String divID)` Sets the text and the id of the div element where to the information useful for putting information in a div outside of the map.
`void` | `setLabel(java.lang.String labelText)` Set the label of the marker.
`void` | `show()` Show the marker.
`com.google.gwt.core.client.JavaScriptObject` | `toFreeEarth()` A FreeEarth compatible Marker.
`com.google.gwt.core.client.JavaScriptObject` | `toGoogle()` A Google Maps compatible Marker.
`com.google.gwt.core.client.JavaScriptObject` | `toMap24()` A Map24 Marker.
`com.google.gwt.core.client.JavaScriptObject` | `toMapQuest()` A MapQuest compatible Marker.
`com.google.gwt.core.client.JavaScriptObject` | `toMicrosoft()` A Microsoft Virtual Earth compatible Marker.
`com.google.gwt.core.client.JavaScriptObject` | `toMultiMap()` A MultiMap compatible Marker.
`com.google.gwt.core.client.JavaScriptObject` | `toOpenLayers()` An OpenLayers compatible Marker.
`com.google.gwt.core.client.JavaScriptObject` | `toYahoo()` A Yahoo compatible Marker.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Marker

    public Marker(LatLonPoint point)

  Create a new Marker.

  Parameters:
    `point` - the LatLonPoint

### Marker

    public Marker(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### instance

    public static Marker instance(com.google.gwt.core.client.JavaScriptObject jsObj)

### hide

    public void hide()

  Hide the marker.

### openBubble

    public void openBubble()

  Opens the infoBubble.

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

### setChild

    public void setChild(com.google.gwt.core.client.JavaScriptObject proprietaryMarker)

### setIcon

    public void setIcon(java.lang.String iconUrl)

  Sets the icon for a marker.

  Parameters:
    `iconUrl` - the icon url

### setInfoBubble

    public void setInfoBubble(java.lang.String html)

  The html/text content for a bubble popup for a marker.

  Parameters:
    `html` - the html/text content for a bubble popup for a marker

### setInfoBubble

    public void setInfoBubble(com.google.gwt.user.client.ui.Widget widget)

  Sets the info bubble to be a Widget. Only supported by GoogleMaps. For other map providers use `setInfoBubble(String)`.

  Parameters:
    `widget` - the widget to add to the info bubble.

### setInfoBubble

    public void setInfoBubble(com.google.gwt.user.client.Element element)

  Sets the info bubble to be the specified Element. Only supported by GoogleMaps. For other map providers use `setInfoBubble(String)`.

  Parameters:
    `widget` - the widget to add to the info bubble.

### setInfoDiv

    public void setInfoDiv(java.lang.String html,
                           java.lang.String divID)

  Sets the text and the id of the div element where to the information useful for putting information in a div outside of the map.

  Parameters:
    `html` - the html/text you want displayed
    `divID` - the element id to use for displaying the text/html

### setLabel

    public void setLabel(java.lang.String labelText)

  Set the label of the marker.

  Parameters:
    `labelText` - the label text

### show

    public void show()

  Show the marker.

### toFreeEarth

    public com.google.gwt.core.client.JavaScriptObject toFreeEarth()

  A FreeEarth compatible Marker.

  Specified by:
    `toFreeEarth` in interface `MapProviders`
  Returns:
    a FE.Pushpin object

### toGoogle

    public com.google.gwt.core.client.JavaScriptObject toGoogle()

  A Google Maps compatible Marker.

  Specified by:
    `toGoogle` in interface `MapProviders`
  Returns:
    a GMarker object

### toMap24

    public com.google.gwt.core.client.JavaScriptObject toMap24()

  A Map24 Marker.

  Specified by:
    `toMap24` in interface `MapProviders`
  Returns:
    a Map24.Location object

### toMapQuest

    public com.google.gwt.core.client.JavaScriptObject toMapQuest()

  A MapQuest compatible Marker.

  Returns:
    a MQPoi object

### toMicrosoft

    public com.google.gwt.core.client.JavaScriptObject toMicrosoft()

  A Microsoft Virtual Earth compatible Marker.

  Specified by:
    `toMicrosoft` in interface `MapProviders`
  Returns:
    a VEPushpin object

### toMultiMap

    public com.google.gwt.core.client.JavaScriptObject toMultiMap()

  A MultiMap compatible Marker.

  Specified by:
    `toMultiMap` in interface `MapProviders`
  Returns:
    a MMMarkerOverlay object

### toOpenLayers

    public com.google.gwt.core.client.JavaScriptObject toOpenLayers()

  An OpenLayers compatible Marker.

  Specified by:
    `toOpenLayers` in interface `MapProviders`
  Returns:
    a OpenLayers.Marker object

### toYahoo

    public com.google.gwt.core.client.JavaScriptObject toYahoo()

  A Yahoo compatible Marker.

  Specified by:
    `toYahoo` in interface `MapProviders`
  Returns:
    a YMarker object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD